Page MenuHomePhabricator

[flang] Add details to --help screen on default behaviour
ClosedPublic

Authored by richard.barton.arm on Jul 29 2020, 8:37 AM.

Details

Summary

Add a usage string and a defaults section that clarifies:

  • If no input files are given, f18 reads from stdin
  • If no input files are given, f18 dumps the parse tree.
  • The default behaviour is to exec F18_FC.
  • The fefault F18_FC setting is 'gfortran'

Adds a simple regression test which tests the top and tail of the help
screen and the exit status.

Depends on D84855

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald Transcript
richard.barton.arm requested review of this revision.Jul 29 2020, 8:37 AM
DavidTruby accepted this revision.Jul 30 2020, 6:23 AM
This revision is now accepted and ready to land.Jul 30 2020, 6:23 AM
This revision was landed with ongoing or failed builds.Jul 31 2020, 9:03 AM
This revision was automatically updated to reflect the committed changes.

Hi Rich, sorry not to have replied to your other review. No one on the NV team needs f18 to read from stdin.